using GraphQL.Types;
using Performance.DtoModels;

namespace Performance.Api
{
    public class ChartDataType : ObjectGraphType<ChartData>
    {
        public ChartDataType()
        {
            Field(x => x.X, nullable: true);
            Field(x => x.Y, nullable: true);
            Field(x => x.Name, nullable: true);
            Field(x => x.Value, nullable: true);
            Field(x => x.Total, nullable: true);
            Field(x => x.Type, nullable: true);
        }
    }
}
